<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <!-- Завдання
    Реалізувати функцію, яка виконуватиме математичні операції з введеними користувачем числами.
    Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.
    
    Технічні вимоги:
    Отримати за допомогою модального вікна браузера два числа.
    Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати.
    Сюди може бути введено +, -, *, /.
    Створити функцію, в яку передати два значення та операцію.
    Вивести у консоль результат виконання функції.
    
    Необов'язкове завдання підвищеної складності
    Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів числа,
    або при вводі вказав не числа, - запитати обидва числа знову "при цьому значенням за замовчуванням
    для кожної зі змінних має бути введена інформація раніше". -->

    <!-- <script>

        let userNumA = +prompt('Enter the first number');
        while (Number.isNaN(userNumA)) {
            userNumA = +prompt("Number again please");
        }

        let userNumB = +prompt("Enter the second number");
        while (Number.isNaN(userNumB)) {
            userNumB = +prompt('Number again please');
        }

        let selectFunc;
        do {
            selectFunc = prompt(`Select math action: "+", "-" , "*" , "/"`);
        } while (!(selectFunc === "+" || selectFunc === "-" || selectFunc === "*" || selectFunc === "/"));


        function runFunc(userNumA, userNumB, selectFunc) {
            if (selectFunc === "+") {
                return userNumA + userNumB;
            }
            if (selectFunc === "-") {
                return userNumA - userNumB;
            }
            if (selectFunc === "*") {
                return userNumA * userNumB;
            }
            if (selectFunc === "/") {
                return userNumA / userNumB;
            }
        }
        console.log(runFunc(userNumA, userNumB, selectFunc));
    </script> -->
<script src="./script.js"></script>


</body>

</html>